한국어
파일의 댓글 목록을 조회합니다.
curl -X QUERY 'https://api.youvico.com/api/files/FX1234567890ABCD/comments' \ -H 'Authorization: Bearer YOUR_API_KEY' \ -H 'Content-Type: application/json' \ -d '{ "sort": { "type": "createdAt", "direction": "asc" } }'
{ "data": [ { "id": "2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6", "content": "Please tighten the logo safe area.", "anchor": 12000, "duration": 3000, "createdAt": "2026-04-10 08:00:00.482913", "updatedAt": "2026-04-10 08:05:12.118204", "deletedAt": null, "reply": { "count": 1, "lastCreatedAt": "2026-04-10 08:10:00.215374" }, "attachments": [ { "id": "CA1234567890ABCD", "name": "review-note.pdf", "mimeType": "application/pdf", "size": 1250000 } ], "reactions": [ { "type": "👍", "count": 2, "me": true } ], "parent": null, "author": { "id": "f6035d1a-29df-4d80-8d72-f1bbdddfb6ff", "name": "Jin Seo", "avatarUrl": "https://files.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avif" } } ], "page": { "next": null, "prev": "WyIyMDI2LTA0LTEwIDA4OjAwOjAwLjQ4MjkxMyIsIjJmYjRlNjBiLTBkOWEtNDZmMy1hNGRjLWNiOWZlOGFkOWJlNiJd" } }
id
string
sort
object
sort.type
Possible values: createdAtanchor
createdAt
anchor
Example: createdAt
sort.direction
Possible values: ascdesc
asc
desc
Example: asc
keyword
2-255 characters
users
array
1-20 items
users[].id
UUID
hasAnchor
boolean
next
Maximum 2048 characters
prev
200 OK를 반환합니다.
200 OK
data
data[].id
Example: 2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6
2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6
data[].content
string?
Example: Please tighten the logo safe area.
Please tighten the logo safe area.
data[].anchor
number?
Example: 12000
12000
data[].duration
Example: 3000
3000
data[].createdAt
Example: 2026-04-10 08:00:00.482913
2026-04-10 08:00:00.482913
data[].updatedAt
Example: 2026-04-10 08:05:12.118204
2026-04-10 08:05:12.118204
data[].deletedAt
Example: null
null
data[].reply
data[].reply.count
number
Example: 1
1
data[].reply.lastCreatedAt
Example: 2026-04-10 08:10:00.215374
2026-04-10 08:10:00.215374
data[].attachments
data[].attachments[].id
Example: CA1234567890ABCD
CA1234567890ABCD
data[].attachments[].name
Example: review-note.pdf
review-note.pdf
data[].attachments[].mimeType
Example: application/pdf
application/pdf
data[].attachments[].size
Example: 1250000
1250000
data[].reactions
data[].reactions[].type
Example: 👍
👍
data[].reactions[].count
Example: 2
2
data[].reactions[].me
Example: true
true
data[].parent
object?
data[].parent.id
data[].author
data[].author.id
Example: f6035d1a-29df-4d80-8d72-f1bbdddfb6ff
f6035d1a-29df-4d80-8d72-f1bbdddfb6ff
data[].author.name
Example: Jin Seo
Jin Seo
data[].author.avatarUrl
Example: https://files.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avif
https://files.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avif
page
page.next
page.prev
Example: WyIyMDI2LTA0LTEwIDA4OjAwOjAwLjQ4MjkxMyIsIjJmYjRlNjBiLTBkOWEtNDZmMy1hNGRjLWNiOWZlOGFkOWJlNiJd
WyIyMDI2LTA0LTEwIDA4OjAwOjAwLjQ4MjkxMyIsIjJmYjRlNjBiLTBkOWEtNDZmMy1hNGRjLWNiOWZlOGFkOWJlNiJd
댓글 목록 (파일)
파일의 댓글 목록을 조회합니다.
예시
요청
경로
idstringrequired본문
sortobjectrequiredsort.typestringrequiredPossible values:
createdAtanchorExample:
createdAtsort.directionstringrequiredPossible values:
ascdescExample:
asckeywordstring2-255 characters
usersarray1-20 items
users[].idstringrequiredUUID
hasAnchorbooleannextstringMaximum 2048 characters
prevstringMaximum 2048 characters
응답
200 OK를 반환합니다.dataarraydata[].idstringExample:
2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6data[].contentstring?Example:
Please tighten the logo safe area.data[].anchornumber?Example:
12000data[].durationnumber?Example:
3000data[].createdAtstringExample:
2026-04-10 08:00:00.482913data[].updatedAtstringExample:
2026-04-10 08:05:12.118204data[].deletedAtstring?Example:
nulldata[].replyobjectdata[].reply.countnumberExample:
1data[].reply.lastCreatedAtstring?Example:
2026-04-10 08:10:00.215374data[].attachmentsarraydata[].attachments[].idstringExample:
CA1234567890ABCDdata[].attachments[].namestringExample:
review-note.pdfdata[].attachments[].mimeTypestring?Example:
application/pdfdata[].attachments[].sizenumberExample:
1250000data[].reactionsarraydata[].reactions[].typestringExample:
👍data[].reactions[].countnumberExample:
2data[].reactions[].mebooleanExample:
truedata[].parentobject?Example:
nulldata[].parent.idstringdata[].authorobject?data[].author.idstringExample:
f6035d1a-29df-4d80-8d72-f1bbdddfb6ffdata[].author.namestringExample:
Jin Seodata[].author.avatarUrlstring?Example:
https://files.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avifpageobjectpage.nextstring?Example:
nullpage.prevstring?Example:
WyIyMDI2LTA0LTEwIDA4OjAwOjAwLjQ4MjkxMyIsIjJmYjRlNjBiLTBkOWEtNDZmMy1hNGRjLWNiOWZlOGFkOWJlNiJd